Subject: [eman] feedback on the eman-ietf-eman-requirements-04

From: Benoit Claise <[email-masked]>
Date: Tue, 26 Jul 2011 02:19:24 -0400

Dear all,

Here is my feedback regarding the EMAN requirement, as a contributor.
Note that some points might have been made on the mailing list already.

A couple of big points
- the outlet gang was mentioned by Chris Verges as a requirement. I 
don't think I've seen it mentioned.
     Note: this could be solved by a specificEnergy Managed Object 
Relationships  (Metering, Power Source, Proxy, Dependency)
- we would need some requirements about producer and/or consumer
- I've been thinking about the following requirement some more

    7.3.  Reporting quantities accumulated over multiple powered entities

        For powered entities reporting single values that are accumulated
        over multiple powered entities, the energy management standard must
        provide means for reporting the list of all powered entities from
        which contributions are included in the accumulated value.

And I wonder if we're not trying to make EMAN too complex by adding this 
aggregation function.
Note: I've been involved in aggregation scheme (See RFC 5982, RFC 6183, 
and http://tools.ietf.org/html/draft-trammell-ipfix-a9n-03) and this is 
not straight forward to list all powered entities for which there is an 
aggregation.
My point is that there is some debate whether or not a switch should 
aggregate all values for children, or if this is a NMS issue.
Feedback?

See inline
> Network Working Group                                    J. Quittek, Ed.
> Internet-Draft                                                 R. Winter
> Intended status: Informational                                  T. Dietz
> Expires: January 12, 2012                                NEC Europe Ltd.
>                                                                B. Claise
>                                                          M. Chandramouli
>                                                      Cisco Systems, Inc.
>                                                            July 11, 2011
>
>
>                    Requirements for Energy Management
>                     draft-ietf-eman-requirements-04
>
> Abstract
>
>    This document defines requirements for standards specifications for
>    energy management.  Defined requirements concern monitoring functions
>    as well as control functions.  Covered functions include
>    identification of powered entities, monitoring of their power state,
>    power inlets, power outlets, actual power, consumed energy, and
>    contained batteries.  Further included is control of powered
>    entities' power supply and power state.  This document does not
>    specify the features that must be implemented by compliant
>    implementations but rather features that must be supported by
>    standards for energy management.
This misses the power quality, or whatever name we want to call it.
For example "power characteristics)"
>
> Status of this Memo
>
>    This Internet-Draft is submitted in full conformance with the
>    provisions of BCP 78 and BCP 79.
>
>    Internet-Drafts are working documents of the Internet Engineering
>    Task Force (IETF).  Note that other groups may also distribute
>    working documents as Internet-Drafts.  The list of current Internet-
>    Drafts is at http://datatracker.ietf.org/drafts/current/.
>
>    Internet-Drafts are draft documents valid for a maximum of six months
>    and may be updated, replaced, or obsoleted by other documents at any
>    time.  It is inappropriate to use Internet-Drafts as reference
>    material or to cite them other than as "work in progress."
>
>    This Internet-Draft will expire on January 12, 2012.
>
> Copyright Notice
>
>    Copyright (c) 2011 IETF Trust and the persons identified as the
>    document authors.  All rights reserved.
>
>
>
>
> Quittek, et al.         Expires January 12, 2012                [Page 1]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    This document is subject to BCP 78 and the IETF Trust's Legal
>    Provisions Relating to IETF Documents
>    (http://trustee.ietf.org/license-info) in effect on the date of
>    publication of this document.  Please review these documents
>    carefully, as they describe your rights and restrictions with respect
>    to this document.  Code Components extracted from this document must
>    include Simplified BSD License text as described in Section 4.e of
>    the Trust Legal Provisions and are provided without warranty as
>    described in the Simplified BSD License.
>
>
> Table of Contents
>
>    1.  Introduction . . . . . . . . . . . . . . . . . . . . . . . . .  4
>      1.1.   Conventional requirements for energy management . . . . .  4
>      1.2.   Specific requirements for energy management . . . . . . .  5
>
>    2.  Terminology  . . . . . . . . . . . . . . . . . . . . . . . . .  6
>
>    3.  General Objectives of Energy Management  . . . . . . . . . . .  8
>      3.1.   Power states  . . . . . . . . . . . . . . . . . . . . . .  8
>      3.2.   Trade-offs  . . . . . . . . . . . . . . . . . . . . . . .  8
>      3.3.   Local and network-wide energy management  . . . . . . . .  8
>      3.4.   Energy monitoring . . . . . . . . . . . . . . . . . . . .  9
>      3.5.   Overview of energy management requirements  . . . . . . . 10
>
>    4.  Identification of Powered Entities . . . . . . . . . . . . . . 10
>
>    5.  Information on Powered Entities  . . . . . . . . . . . . . . . 11
>      5.1.   General information on powered entities . . . . . . . . . 11
>      5.2.   Power state . . . . . . . . . . . . . . . . . . . . . . . 12
>      5.3.   Power inlet and power outlet  . . . . . . . . . . . . . . 14
>      5.4.   Power . . . . . . . . . . . . . . . . . . . . . . . . . . 16
>      5.5.   Energy  . . . . . . . . . . . . . . . . . . . . . . . . . 18
>      5.6.   Battery State . . . . . . . . . . . . . . . . . . . . . . 19
>
>    6.  Control of Powered Entities  . . . . . . . . . . . . . . . . . 21
>
>    7.  Reporting on Other Powered Entities  . . . . . . . . . . . . . 22
>
>    8.  Controlling Other Powered Entities . . . . . . . . . . . . . . 23
>      8.1.   Controlling power states of other powered entities  . . . 23
>      8.2.   Controlling power supply of other powered entities  . . . 24
>
>    9.  Security Considerations  . . . . . . . . . . . . . . . . . . . 25
>
>    10. IANA Considerations  . . . . . . . . . . . . . . . . . . . . . 26
>
>
>
>
> Quittek, et al.         Expires January 12, 2012                [Page 2]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    11. Acknowledgements . . . . . . . . . . . . . . . . . . . . . . . 26
>
>    12. Open issues  . . . . . . . . . . . . . . . . . . . . . . . . . 26
>      12.1.  Revise security considerations  . . . . . . . . . . . . . 26
>      12.2.  High/Low power notifications  . . . . . . . . . . . . . . 26
>      12.3.  Power and energy time series? . . . . . . . . . . . . . . 26
>      12.4.  Inlet/outlet combinations . . . . . . . . . . . . . . . . 26
>      12.5.  Aggregation functions . . . . . . . . . . . . . . . . . . 27
>      12.6.  Add a definition of 'demand'  . . . . . . . . . . . . . . 27
>      12.7.  IEC references  . . . . . . . . . . . . . . . . . . . . . 27
>      12.8.  Standard references for BACNET or MODBUS  . . . . . . . . 27
>      12.9.  IEEE 1621 and 802.3az references  . . . . . . . . . . . . 27
>      12.10. DC power quality covered by IEC standard? . . . . . . . . 27
>      12.11. Introduce 'disconnected from power' as power state  . . . 27
>      12.12. Need for basic state 'reduced power'? . . . . . . . . . . 27
>      12.13. Local and network-wide energy management  . . . . . . . . 28
>      12.14. Do we need entity types?  . . . . . . . . . . . . . . . . 28
>      12.15. Power availability mode 'minimum' or 'ready'? . . . . . . 28
>      12.16. Is there a need for metering power supply inpedance?  . . 28
>      12.17. Confidence in power values  . . . . . . . . . . . . . . . 28
>      12.18. Terminology for reporting on other entitites  . . . . . . 28
>
>    13. Informative References . . . . . . . . . . . . . . . . . . . . 29
>
>    Appendix A.  Existing Standards  . . . . . . . . . . . . . . . . . 30
>      A.1.   Existing IETF Standards . . . . . . . . . . . . . . . . . 30
>        A.1.1.  ENTITY MIB . . . . . . . . . . . . . . . . . . . . . . 30
>        A.1.2.  ENTITY STATE MIB . . . . . . . . . . . . . . . . . . . 31
>        A.1.3.  ENTITY SENSOR MIB  . . . . . . . . . . . . . . . . . . 31
>        A.1.4.  UPS MIB  . . . . . . . . . . . . . . . . . . . . . . . 32
>        A.1.5.  POWER ETHERNET MIB . . . . . . . . . . . . . . . . . . 32
>        A.1.6.  LLDP MED MIB . . . . . . . . . . . . . . . . . . . . . 33
>      A.2.   Existing standards of other bodies  . . . . . . . . . . . 33
>        A.2.1.  DMTF . . . . . . . . . . . . . . . . . . . . . . . . . 33
>        A.2.2.  OVDA . . . . . . . . . . . . . . . . . . . . . . . . . 33
>        A.2.3.  IEEE-ISTO Printer WG . . . . . . . . . . . . . . . . . 33
>
>    Authors' Addresses . . . . . . . . . . . . . . . . . . . . . . . . 34
>
>
>
>
>
>
>
>
>
>
>
>
>
> Quittek, et al.         Expires January 12, 2012                [Page 3]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 1.  Introduction
>
>    With rising energy cost and with an increasing awareness of the
>    ecological impact of running IT and networking equipment, energy
>    management is becoming an additional basic requirement for network
>    management systems and frameworks.
>
>    This document defines requirements for standards specifications for
>    energy management.  Defined requirements concern monitoring functions
>    as well as control functions.  Covered functions include
>    identification of powered entities, monitoring of their power state,
>    power inlets, power outlets, actual power, consumed energy, and
>    contained batteries.  Further included is control of powered
>    entities' power supply and power state.  Note that this document does
>    not specify the features that must be implemented by compliant
>    implementations but rather features that must be supported by
>    standards for energy management.
Same remark about power quality
>
>    The main subject of energy management are powered entities that
>    consume electric energy.  Powered entities include devices that have
>    an IP address and can be addressed directly, such as hosts, routers,
>    and middleboxes, as well as devices indirectly connected to an IP
>    network, for which a proxy with an IP address provides a management
>    interface, for example, devices in a building management
>    infrastructure using BACNET or MODBUS protocols.
>
>    The requirements specified in this document explicitly concern the
>    standards specification process and not the implementation of
>    specified standards.  All requirements in this document must be
>    reflected by standards specifications to be developed.  But which of
>    the features specified by these standards will be mandatory,
>    recommended, or optional for compliant implementations is to be
>    defined by the concrete standards track document(s) and not in this
>    document.
>
>    This document first discusses general objectives of energy management
>    in Section 3.  Requirements for an energy management standard are
>    specified in Sections 4 to 8.
>
> 1.1.  Conventional requirements for energy management
I don't know what "conventional" is supposed to mean.
>
>    The specification of requirements for an energy management standard
>    starts with Section 4 addressing the identification of powered
>    entities and the granularity of reporting of energy-related
>    information. 
I don't understand why we have that sentence here and not in the 
identifier in section 4.
> A standard must support unique identification of
>    powered entities.  Furthermore, it must support more than just
>    reporting per powered device.  Support is required for also reporting
>    energy-related information on individual components of a device or
>
>
>
> Quittek, et al.         Expires January 12, 2012                [Page 4]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    subtended devices.  This is why this draft uses the more general term
>    "powered entity" rather than "powered device".  A powered entity may
>    be a device or a component of a device.
>
>    Section 5 specifies requirements related to monitoring of powered
>    entities.  This includes general (type, context) information and
>    specific information on power states, power inlets, power outlets,
>    power, energy, and batteries.  Control power state and power supply
>    of powered entities is covered by requirements specified in
>    Section 6.
>
> 1.2.  Specific requirements for energy management
>
>    At first glance the rather conventional requirements summarized above
>    seem to be all that would be needed for energy management.  But it
>    turns out that there are some significant differences between energy
>    management and most of the well known conventional network management
>    functions.  The most significant difference from many other
>    management functions is the need for some devices to report on other
>    entities.  There are three major reasons for this.
>    o  For monitoring and controlling a particular powered entity in
>       general it is not sufficient to communicate with the powered
"sufficient" is not the right wording.
In some cases, this is just impossible to communicate with the powered 
entity.
Example: proxy.

>       entity only, but in many cases also communication with other
>       powered entities along the power distribution path may be
>       necessary, for example, with power switches and power meters.
>       Indeed, there are situations where a power or energy meter is not
>       located in the powered entity, but in a different physical
>       location.  For example, a Power Distribution Unit (PDU), which
>       supplies power for a server connected to a PDU socket, would meter
>       the power supplied, while the server may not have the capability
>       to measure its power consumption. 
new text: In specific cases, the monitoring and controlling of powered 
entities must be done by another entity along the power distribution 
domain. For example.
And you remove "a second example" below
> A second example is a Power
>       over Ethernet port, which provides power to the attached device,
>       and which can meter how much power/energy it delivers to the
>       attached device.
>    o  Energy management often extends its scope beyond powered entities
>       with IP network interfaces, for example toward non-IP building
>       networks, that are accessed via an IP gateway.  Requirements in
>       this document do not fully cover all these networks, but they
>       cover means for opening IP network management towards them.
>    o  For monitoring of particular powered entities, it is sometimes not
>       a scalable approach to communicate directly with all the powered
>       entities directly from a central energy management system as the
>       number of powered entities keeps increasing.
>
>    This specific issue of energy management and a set of further ones
>    are covered by requirements specified in Sections 7 and 8.
>
>
>
>
>
> Quittek, et al.         Expires January 12, 2012                [Page 5]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 2.  Terminology
>
> 2.1.  Energy
>
>    the definition of the term energy is to be agreed on in the EMAN WG.
>
>    The term 'energy consumption' is commonly used for both, for
>    referring to the amount of consumed energy and also for referring to
>    the rate of consuming energy.  In the first case it addresses
>    consumed energy measured by joule, watthour, or another energy unit,
>    in the second one it addresses power, typically an average power
>    measured by watt.
>
>    However, in this document the term "consumed energy" always refers to
>    an energy quantity (measured in joule, watthour, etc.) and not to a
>    power quantity (measured in watt, etc.).
>
> 2.2.  Power
>
>    the definition of the term power is to be agreed on in the EMAN WG.
>
> 2.3.  Powered entity
>
>    A powered entity is a consumer of energy that is subject to energy
>    management.  In general, all managed physical entities in a
>    communication network consume electric energy and thus are subject to
>    energy management including particularly energy monitoring and energy
>    control.
>
>    A powered entity can be a managed device or a component of a managed
>    device, which is monitored or controlled individually.
>
> 2.4.  Power state
>
>    Power state of a powered entitiy is defined as a specific settings of
>    a powered entitiy that influences its power.  Examples of power
>    states of a powered entitiy are on, off, and sleep.
>
> 2.5.  Power monitor
>
>    Energy management requires retrieving energy-related information on
>    powered entities.  In many cases this information is not available at
>    the powered entities themselves, but at other powered entities.  For
>    example measurement of power and energy consumption can be conducted
>    by power meters at other locations along the power distribution tree
>    for the powered entity.
>
>    A power monitor is a module that reports energy-related information
>
>
>
> Quittek, et al.         Expires January 12, 2012                [Page 6]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    on powered entities.  A power monitor may be integrated into a
>    powered entity or located remotely of the powered entity.  Instances
>    of power monitors may report information on, for example, power
>    supply, power, and power state of a powered entity.  There may be
>    multiple power monitors reporting information on the same powered
>    entity.
>
> 2.6.  Power inlet
>
>    Powered entities receive power at their power inlets.  Powered
>    entities may have multiple inlets, for example, servers with
>    redundant power supply.  Examples for power inlets are AC power cords
>    of a powered entity or an Ethernet port at which the powered entity
>    receives DC Power over Ethernet (PoE).
>
> 2.7.  Power outlet
>
>    Powered entities may have means to supply others with electrical
>    power.  Power is delivered to other powered entities through power
>    outlets.  Power sourcing entities often have more than one power
>    outlet.  Examples for power outlets are AC power sockets at a Power
>    Distribution Unit (PDU) and Ethernet ports at a Power over Ethernet
>    (PoE) Power Sourcing Equipment (PSE), that can supply powered
>    entities with DC power using the Ethernet cable.
>
> 2.8.  Energy management
>
>    the definition of the term power is to be agreed on in the EMAN WG.
>
> 2.9.  Energy management standard
This doesn't look like a definition. At least, the first paragraph 
should be removed.
>
>    This document specifies requirements for an energy management
>    standard.  This term refers to a collections of documents specifying
>    standards for energy-related monitoring and control.  The energy
>    management standard specifies means for building energy management
>    systems.
>
>    Requirements specified in this document concern the means that an
>    energy management standard must provide.  It does not imply that all
>    required means must be implemented in all energy standard scenarios.
>    Which means and features must be implemented by compliant
>    implementations is to be specified by the energy management standard
>    itself, not by this requirements document.
>
>    Note that for meeting individual requirements specified in this
>    document, new standards are not necessarily required.  It is
>    recommended to rather use existing standards than specify new ones.

>
>
>
>
> Quittek, et al.         Expires January 12, 2012                [Page 7]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 3.  General Objectives of Energy Management
Rename to "general considerations related to energy management"
>
>    The basic objective of energy management is operating communication
>    networks and other equipment with minimal amount of energy, while
>    maintaining a certain level of service.  A set of use cases for
>    energy management can be found in
>    [I-D.tychon-eman-applicability-statement].
It would read better if the content of section about trade-offs was next 
in this introduction (without having a specific section)
Then
     3.1. Power States
     3.2 Energy Monitoring versus Energy Savings
     3.3 Local versus network-wide energy management
     3.4. Overview of the energy management requirements

>
> 3.1.  Power states
>
>    One approach to achieve this goal is by setting all powered entities
>    to an operational state that results in lower energy consumption, but
>    still meets the service level performance objectives.  The sufficient
>    performance level may vary over time and can depend on several
>    factors.  In principle, there are four basic types of power states
>    for a powered entity or for a whole system:
>    o  full power state
>    o  reduced power states (lower clock rate for processor, lower data
>       rate on a link, etc.)
>    o  sleep state (not functional, but immediately available)
>    o  off state (may imply requiring significant time for becoming
>       operational)
>    In actual implementations the number of power states and their
>    properties vary a lot.  Very simple powered entities may just have
>    only the extreme states, full power and off state.  Some
>    implementations might use IEEE1621 model of three states on, off, and
>    sleep.  However, more granular power states can be implemented with
>    many levels of off, sleep, and reduced power states.
>
> 3.2.  Trade-offs
>
>    While the general objective of energy management is quite clear, the
>    way to attain that goal is often difficult.  In many cases there is
>    no way of reducing power consumption without the consequence of a
>    potential performance, service, or capacity degradation.  Then a
>    trade-off needs to be dealt with between service level objectives and
>    energy efficiency.  In other cases a reduction of energy consumption
>    can easily be achieved while still maintaining sufficient service
>    level performance, for example, by switching powered entities to
>    lower power states when higher performance is not needed.
>
> 3.3.  Local and network-wide energy management
>
>    Many energy saving functions can be executed locally by a powered
>    entitiy.  The basic principle is that a powered entitiy monitors its
>    usage and dynamically adapts its energy consumption according to the
>    required performance.  It may switch to a sleep state when it is not
>    in use at all. 
Well, not only when it's not in use.
It could be based on the time of day, or any other energy saving policies.
> Potential interactions with an energy management
>
>
>
> Quittek, et al.         Expires January 12, 2012                [Page 8]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    system for such an entity include the observation of the entity's
>    power state and the configuration of power saving policies, for
>    example, by setting thresholds for power state changes.
>
>    Energy savings can also be achieved with policies implemented by a
>    network management system that controls power states of managed
>    entities.  In order to make policy decisions properly, information
>    about the energy consumption of powered entities in different power
>    states is required.  Often this information is acquired best through
>    monitoring.
>
>    Both methods, network-wide and local energy management, have
>    advantages and disadvantages.  Most buildings use both of them.  In
>    some cases for example, significant energy savings can be achieved by
>    simply setting all powered entities in a network to sleep, when the
>    network is not needed.  However, in general it is dangerous to set
>    all powered entities of a group to the same state, because there is a
>    risk that such actions ignore specifics of individual powered
>    entities or violate local service level agreements.
Can you please expand the previous sentence.
I'm not sure that I agree.
> 3.4.  Energy monitoring
rename to "energy monitoring versus energy savings"
>
>    It should be noted that only monitoring energy consumption and power
>    states is obviously not a means to reduce the energy consumption of a
>    powered entitiy.  In fact, it is likely to increase the power
>    consumption of a powered entitiy slightly because monitoring energy
>    may require instrumentation that consumes energy when in use.  And
>    also reporting of measured quantities over the network consumes
>    energy.  However, the acquired energy consumption and power state
>    information is essential for defining energy saving policies and can
>    be used as input to power state control loops that in total can lead
>    to energy savings.
>
>    Monitoring operational power states and energy consumption can also
>    be required for other energy management purposes including but not
>    limited to:
>    o  investigating power saving potential
>    o  evaluating the effectiveness of energy saving policies and
>       measures
>    o  deriving, implementing, and testing power management strategies
>    o  accounting for the total power consumption of a powered entity, a
>       network, or a service
>    o  predicting a powered entitiy's reliability based on power usage
>    o  choosing time of next maintenance cycle for a powered entitiy
>
>
>
>
>
>
>
> Quittek, et al.         Expires January 12, 2012                [Page 9]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 3.5.  Overview of energy management requirements
>
>    From the considerations described above the following basic
>    management functions appear to be required for energy management:
>    o  monitoring power states
>    o  monitoring power (energy consumption rate)
>    o  monitoring (accumulated) energy consumption
>    o  setting power states
>    o  setting and enforcing power saving policies
And again the comment about the power quality
>
>    It should be noted that active power control is complementary (but
what does the "active" power control mean?
>    essential) to other energy savings measures such as low power
>    electronics, energy saving protocols (for example, IEEE 802.3az),
>    energy-efficient device design (for example, sleep and low-power
>    modes for individual components of a device), and energy-efficient
>    network architectures.  Measurement of energy consumption may also
>    provide useful input for developing these technologies.
>
>
> 4.  Identification of Powered Entities
>
>    As already stated Section 1.1, powered entities on which energy-
>    related information is provided
add a comma
> are identified in a sufficiently
>    unique way.  This holds in particular for powered entities that are
>    components of managed devices and in case that one powered entity
>    reports information on another one, see Section 7.  For powered
>    entities that control other powered entities it is important to
>    identify the powered entities they control, see Section 8.
>
>    Also stated already in Section 1.1 is the requirement of providing
>    means for reporting energy-related information on components of a
>    managed device.  An entity in this document may be an entire managed
>    device or just a component of it.  Examples of components of interest
>    are a hard drive, a battery, or a line card.  For controlling
>    entities it may be required to be able to address individual
>    components in order to save energy.  For example, server blades can
>    be switched off when the overall load is low or line cards at
>    switches may be powered down at night times.
>
>    Instrumentation for measuring energy consumption of a device is
>    typically more expensive than instrumentation for retrieving the
>    devices power state.  It may be a reasonable compromise in many cases
>    to provide power state information for all individually switchable
>    components of a device separately, while the energy consumption is
>    only measured for the entire device.
>
>    Detailed Requirements:
>
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 10]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 4.1.  Identifying powered entities
>
>    The energy management standard must provide means for uniquely and
>    persistently identifying powered entities that are monitored or
>    controlled by an energy management system.  Uniqueness must be given
>    in a domain that is large enough to avoid collisions of identities at
>    potential receivers of monitored information.
We want to remove "and persistently" from the sentence, as this is 
covered in 4.3

We should have a requirement about a UUID for powered entities.
Let's cover that during the WG.
>
> 4.2.  Identifying components of powered devices
>
>    The energy management standard must provide means for identifying not
>    just entire devices as powered entities, but also individual
>    components of powered devices.
>
> 4.3.  Persistency of Identifiers
>
>    The energy management standard must provide means for indicating
>    whether identifiers of powered entities are persistent across a re-
>    start of the powered entitiy that provides the identifiers.
>
>
> 5.  Information on Powered Entities
>
>    This section describes energy-related information on powered entities
>    for which an energy management standard must provide means for
>    retrieving and reporting.
>
>    Note that the fact that an energy management standard provides
>    required means does not imply that all of them must be implemented by
>    every compliant implementation.  The concrete specification of
>    standards based on these requirements may label individual features
>    as mandatory, recommended, or optional.
Remove this paragraph above, as this is already covered before, and this 
is not specific to this section 5.
>
>    Required information on powered entities can be structured into six
>    groups.  Section 5.1 specifies requirements for general information
>    on powered entities, such as type of powered entity or context
>    information.  Section 5.2 covers requirements related to entities'
>    power states.  Requirements for information on power inlets and power
>    outlets of powered entities are specified in Section 5.3.  Monitoring
>    of power and energy is covered by Sections 5.4 and 5.5, respectively.
>    Finally, Section 5.6 specified requirements for monitoring batteries.
>
> 5.1.  General information on powered entities
>
>    For energy management it may be required to understand the role and
>    context of a powered entitiy.  When monitoring, it may be helpful to
>    group energy consumption per kind of entity.  When controlling and
>    setting power states it may be helpful to understand the kind and
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 11]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    role of a powered entitiy in a network, for example, in order to
>    avoid switching off vital network components.
>
>    Detailed Requirements:
>
> 5.1.1.  Type of powered entity
>
>    The energy management standard must provide means to retrieve and
>    report the type of powered entities according to a standrdized
>    classification scheme.
see the email thread on the mailing list.
>
> 5.1.2.  Context information on powered entities
>
>    The energy management standard must provide means for retrieving and
>    reporting context information on powered entities, for example tags
>    associated with a powered entity that indicate the powered entitiy's
>    role, or importance.
>
> 5.1.3.  Grouping of powered entities
>
>    The energy management standard must provide means for grouping
>    powered entities, for example, into energy monitoring domains, energy
>    control domains, power supply domains, groups of powered entities of
>    the same type, etc.
>
> 5.2.  Power state
>
>    Many powered entities have a limited number of discrete power states,
>    such as, for example, full power, low power, sleep, and off.
>
>    Obviously, there is a need to report the actual power state of a
>    powered entitiy.  Beyond that, there is also a requirement for
>    standardizing means for retrieving the list of all supported power
>    states of a powered entitiy.
>
>    Different standards bodies have already defined their own sets of
>    power states for powered entities.  Further organizations are in the
>    process of adding more of these sets.  In order to support multiple
>    management systems possibly using different power state sets, while
>    simultaneously interfacing with a particular powered entity, the
>    energy management standard must provide means for supporting multiple
>    power state sets used simultaneously at a powered entity.
>
>    Power states have parameters that describe its properties It is
>    required to have standardized means for reporting some key
>    properties, such as mean power and maximum power of a powered entitiy
>    in a certain state.
>
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 12]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    There also is a need to report statistics on power states including
>    the time spent an the energy consumed in a power state.
>
>    For some network management tasks, it may be desirable to receive
>    notifications from powered entities, for example, when the components
>    or the entire entity change their power state.
>
>    Detailed Requirements:
>
> 5.2.1.  Actual power state
>
>    The energy management standard must provide means for reporting the
>    actual power state of a powered entitiy.
>
> 5.2.2.  List of supported power states
>
>    The energy management standard must provide means for retrieving the
>    list of all potential power states of a powered entitiy.
>
> 5.2.3.  Multiple power state sets
>
>    The energy management standard must provide means for supporting
>    multiple power state sets simultaneously at a powered entity.
>
> 5.2.4.  List of supported power state sets
>
>    The energy management standard must provide means for retrieving the
>    list of all power state sets supported by a powered entitiy.
>
> 5.2.5.  List of supported power states
5.2.2 has got the same title.
Proposal for 5.2.5 "List of supported power states within power state set"
>
>    Referring to the "list of supported power state sets" requirement,
>    the energy management standard must provide means for retrieving the
>    list of all potential power states of a powered entitiy that belong
>    to a given power state set.
new text.
     For the rest of the document, when the Power State term is used, it 
implicitly refers to a power state within a power state set.

Note that this comment might be part of the power State definition
>
> 5.2.6.  Maximum and average power per power state
>
>    The energy management standard must provide means for retrieving the
>    maximum power and the average power as a typically static property
>    for each supported power state.
>
> 5.2.7.  Power state statistics
>
>    The energy management standard must provide means for monitoring
>    statistics per power state including at least the total time spent in
>    a power state, the number of times a state was entered and the last
>    time a state was entered.  More power state statistics are addressed
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 13]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    by requirement 5.5.3.
>
> 5.2.8.  Power state changes
>
>    The energy management standard must provide means for generating a
>    notification when the actual power state of a powered entity changes.
>
> 5.3.  Power inlet and power outlet
>
>    Powered entities have power inlets at which they are supplied with
>    electric power.  Most powered entities just have a single power
>    inlet, while some have multiple ones.  Often different power inlets
>    are connected to separate power distribution trees.  For energy
>    monitoring, it is important information which power inlets a powered
>    entitiy has, 
what do you mean? the type, the number, or something else?
> if power is available at an inlet and which of them are
>    actually in use.
>
>    Some powered entities have power outlets for supplying other powered
>    entities with electric power.  A powered entitiy may have multiple
>    power outlets.  Examples are Power Distribution Units (PDUs) and
>    Power over Ethernet (PoE) Power Sourcing Equipment (PSE).
Remove the previous sentence, as this is already in the terminology section.
>
>    For identifying and potentially controlling the source of power
>    received at an inlet, it may be required to identify the power outlet
>    of another powered entity at which the received power is provided.
>    Analogously, for each outlet it is of interest to identify the power
>    inlets that receive the power provided at a certain outlet.
>
>    Static properties of each power inlet and each power outlet are
>    required information for energy management.  Static properties
>    include the kind of electric current (Alternating Current (AC) or
>    Direct Current (DC)), the nominal voltage, the nominal AC frequency,
>    and the number of AC phases.
So "static properties" is what we called "power quality"?
>
>    Detailed Requirements:
>
> 5.3.1.  List of power inlets and power outlets
>
>    The energy management standard must provide means for monitoring the
>    list of power inlets and power outlets at a powered entitiy.
>
> 5.3.2.  Corresponding power outlet
>
>    The energy management standard must provide means for identifying the
>    power outlet that provides the power received at a power inlet.
>
>
>
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 14]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 5.3.3.  Corresponding power inlets
>
>    The energy management standard must provide means for identifying the
>    list of power inlets that receive the power provided at a power
>    outlet.
>
> 5.3.4.  Availability of power
>
>    The energy management standard must provide means for monitoring the
>    availability of power at each power inlet and each power outlet.
>    This information indicates whether at a power providing outlet power
>    supply is switched on or off.
>
> 5.3.5.  Use of power
>
>    The energy management standard must provide means for monitoring for
>    each power inlet and each power outlet if it is in actual use.  For
>    the inlet this means that the powered entitiy actually receives power
>    at the inlet.  For the outlet this means that actually power is
>    provided to one or more powered entities at the outlet.
>
> 5.3.6.  Type of current
>
>    The energy management standard must provide means for reporting the
>    type of current (Alternating Current (AC) or Direct Current (DC)) for
>    each power inlet and each power outlet of a powered entity.
>
> 5.3.7.  Nominal voltage
>
>    The energy management standard must provide means for reporting the
>    nominal voltage for each power inlet and each power outlet of a
>    powered entity.
>
> 5.3.8.  Nominal AC frequency
>
>    The energy management standard must provide means for reporting the
>    nominal AC frequency for each power inlet and each power outlet of a
>    powered entity.
>
> 5.3.9.  number of AC phases
number -> Number
>
>    The energy management standard must provide means for reporting the
>    number of AC phases for each power inlet and each power outlet of a
>    powered entity.
>
>
>
>
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 15]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 5.4.  Power
>
>    Power is a quantity measured as instantaneous power or as average
>    power over a time interval.  In contrast to power state values, this
>    quantity may change continuously.
>
>    Obtaining highly accurate values for power and energy may be costly.
>    Often dedicated metering hardware is needed for this purpose.
>    Powered entities without the ability to measure their power and
>    energy consumption with high accuracy may just report estimated
>    values, for example based on load monitoring or even just the entity
>    type.
>
>    Depending on how power and energy consumption values are obtained the
>    confidence in the reported value and its accuracy may vary.  Powered
>    entities reporting such values should qualify the confidence in the
>    reported values and quantify the accuracy of measurements.  For
>    reporting accuracy, the accuracy classes specified in IEC 62053-21
>    [IEC.62053-21] and IEC 62053-22 [IEC.62053-22] should be considered.
>
>    In addition to the plain real power value, also further properties of
>    the supplied power are subject to monitoring.  In case of AC power
>    supply, there are more power values beyond the real power to be
>    reported including the apparent power, the reactive power, and the
>    phase angle of the current or the power factor.  For both AC and DC
>    power the power quality is also subject of monitoring.
So "power quality" is mentioned.
> Power quality
>    parameters include the actual voltage, the actual frequency, the
>    Total Harmonic Distortion (THD) of voltage and current, the impedance
>    of an AC phase or of the DC supply.  Power quality monitoring should
>    be in line with existing standards, such as [IEC.61850-7-4].
>
>    For some network management tasks, it is required to obtain time
>    series of power values (or energy consumption values).  In general
>    these could be obtained in many different ways.  It should be avoided
>    that such time series can only be obtained by regular polling by the
>    energy management system.  Means should be provided to either push
>    such values from the place they are available to the management
>    system or to have them stored at the powered entitiy for a
>    sufficiently long period of time such that a management system can
>    retrieve a stored time series of values.
>
>    Detailed Requirements:
>
> 5.4.1.  Real power
>
>    The energy management standard must provide means for reporting the
>    real power for each power inlet and each power outlet of a powered
>    entity.
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 16]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 5.4.2.  Power measurement interval
>
>    The energy management standard must provide means for reporting the
>    corresponding time or time interval for which a power value is
>    reported.  The power value can be measured at the corresponding time
>    or averaged over the corresponding time interval.
>
> 5.4.3.  Confidence in power values
>
>    The energy management standard must provide means for reporting the
>    confidence in reported power values by indicating the way these
>    values have been obtained. for example, by power measurement, by
>    estimation based on performance values, or hard coding average power
>    values for a powered entity.
>
> 5.4.4.  Accuracy of power and energy values
>
>    The energy management standard must provide means for reporting the
>    accuracy of reported power values.
>
> 5.4.5.  Complex power
>
>    The energy management standard must provide means for reporting the
>    complex power for each power inlet and each power outlet of a powered
>    entity.  Besides the real power, at least two out of the following
>    three quantities need to be reported: apparent power, reactive power,
>    phase angle.  The phase angle can be substituted by the power factor.
>    In case of AC power supply, means must be provided for reporting the
>    complex power per phase.
>
> 5.4.6.  Actual voltage and current
>
>    The energy management standard must provide means for reporting the
>    actual voltage and actual current for each power inlet and each power
>    outlet of a powered entity.  In case of AC power supply, means must
>    be provided for reporting the actual voltage and actual current per
>    phase.
>
> 5.4.7.  Actual AC frequency
>
>    The energy management standard must provide means for reporting the
>    actual AC frequency for each power inlet and each power outlet of a
>    powered entity.
>
> 5.4.8.  Total harmonic distortion
>
>    The energy management standard must provide means for reporting the
>    Total Harmonic Distortion (THD) of voltage and current for each power
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 17]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    inlet and each power outlet of a powered entity.  In case of AC power
>    supply, means must be provided for reporting the THD per phase.
>
> 5.4.9.  Power supply impedance
>
>    The energy management standard must provide means for reporting the
>    impedance of power supply for each power inlet and each power outlet
>    of a powered entity.  In case of AC power supply, means must be
>    provided for reporting the impedance per phase.
>
> 5.4.10.  Time series of power values
>
>    The energy management standard must provide means for collecting time
>    series of real power values for each power inlet and for each power
>    outlet of a powered entitiy without requiring to regularly poll the
>    powered entitiy from an energy management station.  A solution for
>    this is that the concerned powered entity or another powered entity
>    closely interacting with the concerned powered entity collect time
>    series of power values and make them available via push or pull
>    mechanisms to receivers of the information.
>
> 5.5.  Energy
>
>    Monitoring of electrical energy consumed (or converted) at a powered
>    entitiy can be done in various ways.  One is collecting time series
>    of power values for the powered entitiy and calculating the consumed
>    energy from these values.  An alternative is the powered entity
>    itself or another powered entity taking care of energy measurement
>    and reporting energy consumption values for certain time intervals.
>    Time intervals of interest are the time from the last restart of the
>    powered entitiy to the reporting time, the time from another past
>    event to the reporting time, or the last given amount of time before
>    the reporting time.
>
>    In order to monitor energy consumption in different power states, it
>    is useful if powered entities record their energy consumption per
>    power state and report these quantities.
>
>    For some network management tasks, it is required to obtain time
>    series of energy values.  In general these could be obtained in many
>    different ways.  It should be avoided that such time series can only
>    be obtained by regular polling by the energy management system.
>    Means should be provided to either push such values from the place
>    they are available to the management system or to have them stored at
>    the powered entitiy for a sufficiently long period of time such that
>    a management system can retrieve a stored time series of values.
>
>    Detailed Requirements:
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 18]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 5.5.1.  Energy
>
>    The energy management standard must provide means for reporting the
>    consumed energy received at a power input or provided at a power
>    outlet of a powered entitiy.  Reports must be made for a clearly
>    specified time interval.
>
> 5.5.2.  Time intervals
>
>    The energy management standard must provide means for reporting the
>    consumed energy of a powered entitiy for certain time intervals.
>    o  Reports must be supported for the time interval starting at the
>       last restart of the powered entitiy and ending at a certain point
>       in time, such as the time when a report was delivered.
>    o  Reports must be supported for a sequence of consecutive non-
>       overlapping time intervals of fixed size (periodic reports).
>    o  Reports must be supported for a sequence of consecutive
>       overlapping time intervals of fixed size (periodic reports).
>    o  Reports must be supported for an interval of given length ending
>       at a certain point in time, such as the time when a report was
>       delivered (sliding window)
>
> 5.5.3.  Energy per power state
>
>    The energy management standard must provide means for reporting the
>    consumed energy individually for each power state.  This extends the
>    requirement 5.2.7 on power state statistics.
>
> 5.5.4.  Time series of energy values
>
>    The energy management standard must provide means for collecting time
>    series of energy values for each power inlet and for each power
>    outlet of a powered entitiy without requiring to regularly poll the
>    powered entitiy from an energy management station.  A solution for
>    this is that the concerned powered entity or another powered entity
>    closely interacting with the concerned powered entity collect time
>    series of energy values and make them available via push or pull
>    mechanisms to receivers of the information.
>
> 5.6.  Battery State
>
>    Today more and more powered entities contain batteries that supply
>    them with power when disconnected from electrical power distribution
>    grids.  Common examples are nomadic and mobile devices, such as
>    notebook computers, netbooks, and smart phones.  The status of
>    batteries in such an powered entity, particularly the charging status
>    is typically controlled by automatic functions that act locally on
>    the powered entitiy and manually by users of the powered entity.  In
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 19]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    addition to this, there is a need to monitor the battery status of
>    these entities by network management systems.
>
>    The management requirements discussed above in Sections 5.1 to 5.5
>    concern energy-related information on powered entities.  Powered
>    entities may be powered devices or components of powered devices.
I  believe that we mentioned that sentence already.
>    Devices containing batteries can be modeled in two ways.  The entire
>    device can be modeled as a single powered entity on which energy-
>    related information is reported or the battery can be modeled as an
>    individual powered entity for which energy-related information is
>    monitored individually according to requirements in Sections 5.1 to
>    5.5.
>
>    In both cases further information on batteries is of interest for
>    energy management, such as the current charge of the battery, the
>    number of completed charging cycles, the charging state of the
>    battery, and further static and dynamic battery properties.  Also
>    desirable is to receive notifications if the charge of a battery
>    becomes very low or if a battery needs to be replaced.
>
>    Detailed Requirements:
>
> 5.6.1.  Battery charge
>
>    The energy management standard must provide means for reporting the
>    current charge of a battery.
>
> 5.6.2.  Battery charging state
>
>    The energy management standard must provide means for reporting the
>    charging state (charged, discharged, etc.) of a battery.
>
> 5.6.3.  Battery charging cycles
>
>    The energy management standard must provide means for reporting the
>    number of completed charging cycles of a battery.
>
> 5.6.4.  Actual battery capacity
>
>    The energy management standard must provide means for reporting the
>    actual capacity of a battery.
>
> 5.6.5.  Static battery properties
>
>    The energy management standard must provide means for reporting
>    static properties of a battery, including the nominal capacity, the
>    number of cells, the nominal voltage, and the battery technology.
>
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 20]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 5.6.6.  Low battery charge notification
>
>    The energy management standard must provide means for generating a
>    notification when a the charge of a battery decreases below a given
>    threshold.
remove "a"
>
> 5.6.7.  Battery replacement notification
>
>    The energy management standard must provide means for generating a
>    notification when the number of charging cycles of battery exceeds a
>    given threshold.
>
> 5.6.8.  Multiple batteries
>
>    The energy management standard must provide means for meeting
>    requirements 5.6.1 to 5.6.7 for each individual battery contained in
>    a single powered entity.
>
>
> 6.  Control of Powered Entities
>
>    Many powered entities control their power state locally by self-
>    managed dynamic adaptation to the environment.  But other powered
>    entities without that capability need interfaces for a energy
>    management system to control their power states in order to save
>    energy.  Even for self-managed powered entities such interface may be
>    required for overruling local policy decisions by global ones from an
>    energy management system.
>
>    Power supply is typically not self-managed by powered entities.  And
>    controlling power supply is typically not conducted as interaction
>    between energy management system and the powered entity itself.  It
>    is rather an interaction between the management system and an entity
>    providing power at its power outlets.  Still, requirements for power
>    state control apply accordingly to power supply control.
>
>    Note that shutting down the power supply abruptly may have severe
>    consequences for the powered entity.
>
>    Detailed Requirements:
>
> 6.1.  Controlling power states
>
>    The energy management standard must provide means for setting power
>    states of powered entities.
>
>
>
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 21]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 6.2.  Controlling power supply
>
>    The energy management standard must provide means for switching power
>    supply off or turning power supply on at power outlets providing
>    power to one or more powered entity.
>
>
> 7.  Reporting on Other Powered Entities
>
>    As already discussed in the introduction of Section 5, not all
>    energy-related information may be available at the concerned powered
>    entity.  Such information may be provided by other powered entities,
>    such as a Power Distribution Unit (PDU), external power meter, or a
>    Power over Ethernet (PoE) Power Sourcing Equipment (PSE).  Some of
>    these entities (PDU, PSE) can also control the power provided to the
>    other powered entities, while some can just report on the remote
>    powered entities (external power meter).  This section covers
>    reporting of information (monitoring) only.  See Section 8 for
>    requirements on controlling other powered entities.
>
>    There are cases where a power supply unit switches power for several
>    powered entities by turning power on or off at a single power outlet
>    or where a power meter measures the accumulated power of several
>    powered entities at a single power line.  Consequently, it should be
>    possible to report that a monitored value does not relate to just a
>    single powered entity, but is an accumulated value for a set of
>    powered entities.  All of these powered entities belonging to that
>    set need to be identified.
>
>    If a powered entity has information about where energy-related
>    information on itself can be retrieved, then it would be very useful
>    if it has a way to communicate this information to an energy
>    management system.  This applies even if the information only
>    provides accumulated quantities for several powered entities.
>
>    Detailed Requirements:
>
> 7.1.  Reports on other powered entities
>
>    The energy management standard must provide means for a powered
>    entitiy to report energy-related information on another powered
>    entity.
>
> 7.2.  Identity of other powered entities on which is reported
>
>    The energy management standard must provide means for reporting the
>    identity of another powered entity on which energy-related
>    information is reported.
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 22]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 7.3.  Reporting quantities accumulated over multiple powered entities
>
>    For powered entities reporting single values that are accumulated
>    over multiple powered entities, the energy management standard must
>    provide means for reporting the list of all powered entities from
>    which contributions are included in the accumulated value.
See my comments at the beginning of the email
>
> 7.4.  List of all powered entities on which is reported
>
>    The energy management standard must provide means for a powered
>    entitiy to report the list of all other powered entities on which it
>    can report energy-related information.
>
> 7.5.  Content of reports on other powered entities
>
>    The energy management standard must provide means for a powered
>    entitiy to indicate for each other powered entity on which it can
>    provide energy-related information which energy-related information
>    can be provided for this powered entity.
>
> 7.6.  Indicating source of remote information
>
>    The energy management standard must provide means for a powered
>    entity to indicate another powered entity at which energy-related
>    information on itself can be retrieved.
>
> 7.7.  Indicating source of remote information
>
>    For a powered entity that has another powered entity at which energy-
>    related information on itself can be retrieved, the energy management
>    standard must provide means for indicating the information that is
>    available at other powered entities per other powered entity.
>
>
> 8.  Controlling Other Powered Entities
>
>    This section specifies requirements for controlling power states and
>    power supply of powered entities by communicating not with these
>    powered entities themselves, but with other powered entities that
>    have means for controlling power state or power supply of others.
>
> 8.1.  Controlling power states of other powered entities
>
>    Some powered entities may have control of power states of other
>    powered entities.  For example a gateway to a building network may
>    have means to control the power state of powered entities in the
>    building that do not have an IP interface.  For this and similar
>    cases means are needed to make this control accessible to the energy
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 23]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    management system.
>
>    In addition to this, it is required that a powered entitiy that has
>    its state controlled by other powered entities has means to report
>    the list of these other powered entities.
>
>    Detailed Requirements:
>
> 8.1.1.  Control of power states of other powered entities
>
>    The energy management standard must provide means for an energy
>    management system to send power state control commands to a powered
>    entity that concern the power states of other powered entities than
>    the one the command was send to.
>
> 8.1.2.  Identity of other power state controlled entities
>
>    The energy management standard must provide means for reporting the
>    identity of another powered entity for which the reporting powered
>    entity has means to control the power state.
>
> 8.1.3.  List of all power state controlled entities
>
>    The energy management standard must provide means for a powered
>    entitiy to report the list of all powered entities for which it can
>    control the power state.
>
> 8.1.4.  List of all power state controllers
>
>    The energy management standard must provide means for a powered
>    entitiy that receives commands controlling its power state from other
>    powered entities to report the list of all those entities.
>
> 8.2.  Controlling power supply of other powered entities
>
>    Some powered entities may have control of the power supply of other
>    powered entities, for example, because the other powered entity is
>    supplied via a power outlet of the powered entitiy.  For this and
>    similar cases means are needed to make this control accessible to the
>    energy management system.
>
>    In addition to this, it is very required that a powered entitiy that
very required -> required
>    has its supply controlled by other powered entities has means to
>    report the list of these other powered entities.
>
>    Detailed Requirements:
>
>
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 24]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
> 8.2.1.  Control of power supply of other powered entities
>
>    The energy management standard must provide means for an energy
>    management system to send power supply control commands to a powered
>    entity that concern the power supply of other powered entities than
>    the one the command was send to.
>
> 8.2.2.  Identity of other power supply controlled powered entities
>
>    The energy management standard must provide means for reporting the
>    identity of another powered entity for which the reporting powered
>    entity has means to control the power supply.
>
> 8.2.3.  List of all power supply controlled powered entities
>
>    The energy management standard must provide means for a powered
>    entitiy to report the list of all other powered entities for which it
>    can control the power supply.
>
> 8.2.4.  List of all power supply controllers
>
>    The energy management standard must provide means for a powered
>    entitiy that has other powered entities controlling its power supply
>    to report the list of all those powered entities.
>
>
> 9.  Security Considerations
>
>    The typical security threats for the management protocol for energy
>    monitoring are similar to the ones specified in the SNMP security
>    framework.  In other words, from an energy monitoring point of view,
>    no additional security requirements have been imposed.
>
>    Link layer discovery mechanisms need to ensure that only the trusted
>    powered entities shall be discovered during discovery and detect/
>    discard powered entities without a trusted relationship to be
>    included among the powered entities for energy monitoring.
>
>    In terms of monitoring, considering that there can be some network
>    entities which shall be entitled to collect the measured data on
>    behalf of other powered entities, then it is important to
>    authenticate and/or authorize such powered entities.  In addition, in
>    the case of control of other powered entities, it would be highly
>    desirable to have some form of an authentication mechanism to ensure
>    that only the designated powered entities shall control the powered
>    entities within its control domain.  It should be possible to prevent
>    a powered entity which does not have the appropriate authorization
>    and authority to control or configure powered entities in its control
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 25]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    domain/purview.  Secondly, it should be possible to prevent malicious
>    powered entities from exercising control over entities.
>
>
> 10.  IANA Considerations
>
>    This document has no actions for IANA.
>
>
> 11.  Acknowledgements
>
>    The authors would like to thank Ralf Wolter for his first essay on
>    this draft.  Many thanks to William Mielke, John Parello, Bruce
>    Nordman, JinHyeock Choi, Georgios Karagiannis, and Michael Suchoff
>    for helpful comments on the draft.
>
I'll address the open issues in separate email threads.

Regards, Benoit.
>
> 12.  Open issues
>
> 12.1.  Revise security considerations
>
>    A discussion of the sensitivity of the content of the monitoring data
>    is missing.
>
> 12.2.  High/Low power notifications
>
>    For some network management tasks it may be desirable to receive
>    notifications from entities when the power of an powered entity
>    exceeds or falls below certain thresholds.  Do we want to make this a
>    requirement?
>
>    Proposal: added "for example" so that we don't restrict the framework
>    to only this notification
>
> 12.3.  Power and energy time series?
>
>    We have requirements for reporting of time series of power and energy
>    values.  Do we need both or just one of them?  If just one, then
>    which one?
>
> 12.4.  Inlet/outlet combinations
>
>    How to model the case that an inlet or outlet changes during
>    operation from one kind to the other.  An example is a battery that
>    receives power at a socket at one time.  Then the socket is an inlet.
>    At another time the battery provides power at the same socket.  Then
>    it's an outlet.  The same holds for entities with integrated power
>    generators.
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 26]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    One solution would be to introduce a new kind of hybrid in/outlets.
>    Another one would be to model the same socket as inlet as well as as
>    outlet.  It would appear twice in the list of all inlets and outlets.
>    Then received power/energy would be reported under the inlet entry
>    and provided power/energy would be reported under the outlet entry.
>
>    These would be two solutions.  What would be the concrete requirement
>    behind them?
>
> 12.5.  Aggregation functions
>
>    Aggregation functions are not covered (yet).  Are there requirements
>    on aggregation?  Which are they?
>
> 12.6.  Add a definition of 'demand'
>
> 12.7.  IEC references
>
>    References to mentioned IEC standards are missing.  Also these
>    references should be double checked.
>
> 12.8.  Standard references for BACNET or MODBUS
>
>    Section 1 mentions BACNET or MODBUS as examples for building network
>    protocols.  We need references to the standards specifications for
>    these protocols.
>
> 12.9.  IEEE 1621 and 802.3az references
>
>    A reference to the IEEE 1621 standard is missing in section 3.1 and a
>    reference to IEEE 802.3az is missing in section 3.4.  The references
>    should be double checked if they are well applicable in the
>    respective section.
>
> 12.10.  DC power quality covered by IEC standard?
>
>    Is there an IEC standard on DC power quality?
>
> 12.11.  Introduce 'disconnected from power' as power state
>
>    We need to introduce the concept of a device being "disconnected"
>    from power.  This is a subset of the Off state.  Shall we do it here
>    or rather in the framework draft?
>
> 12.12.  Need for basic state 'reduced power'?
>
>    Are "full power" and "reduced power" really different basic types of
>    power states?  Both may be forms of the on state.  Identifying "full"
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 27]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    separately is arbitrary.  (For something like a computer, "idle" is
>    the most common state so would be the one to call out separately
>    rather than "full".)
>
> 12.13.  Local and network-wide energy management
>
>    All but first sentence of the third paragraph in section 3.3 seem to
>    be true not needed here.  Proposal: remove them.
>
> 12.14.  Do we need entity types?
>
>    Or shall we remove Section 5.1.1?
>
> 12.15.  Power availability mode 'minimum' or 'ready'?
>
>    Do we need an additional mode for power availability called "minimum"
>    or "ready" for power availability in xref target="availability"/>?
>    This would reflect a PoE state at which the PSE is ready to serve the
>    PD.
>
> 12.16.  Is there a need for metering power supply inpedance?
>
>
>
> 12.17.  Confidence in power values
>
>    Shall we rename "confidence in power values" to "method for
>    determining power values"?
>
> 12.18.  Terminology for reporting on other entitites
>
>    In Section 7 we need some additional terms here to streamline the
>    text (and ultimately our thinking).  Nominations include:
>    o  "powered entity" (which may be "self-reporting")
>    o  "reporting entity" (can be "self" or "other")
>    o  "other entity" (a reporting entity reporting not on itself; likely
>       a different term would be better for this)
>    o  "controlled entity", "controlling entity" (section 8.1)
>    o  "switched entity", "switching entity" (section 8.2)
>
>    Also, there are two cases for an "other entity".  One is where the
>    powered entity cannot report the value in question itself (either
>    because it can't report anything, or doesn't know the value in
>    question, e.g. when metering is external).
>
>    The second is where the powered entity can report, but the other
>    entity is doing the reporting for some convenience.  We need to be
>    aware of both even if the framework does not need to make the
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 28]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    distinction.
>
>    There may be multiple other reporting entities, not just a single
>    one.
>
>    Do components of devices ever report, or do only devices do the
>    reporting?  This seems like an important point.
>
>
> 13.  Informative References
>
>    [RFC1628]  Case, J., "UPS Management Information Base", RFC 1628,
>               May 1994.
>
>    [RFC3433]  Bierman, A., Romascanu, D., and K. Norseth, "Entity Sensor
>               Management Information Base", RFC 3433, December 2002.
>
>    [RFC3621]  Berger, A. and D. Romascanu, "Power Ethernet MIB",
>               RFC 3621, December 2003.
>
>    [RFC3805]  Bergman, R., Lewis, H., and I. McDonald, "Printer MIB v2",
>               RFC 3805, June 2004.
>
>    [RFC4133]  Bierman, A. and K. McCloghrie, "Entity MIB (Version 3)",
>               RFC 4133, August 2005.
>
>    [RFC4268]  Chisholm, S. and D. Perkins, "Entity State MIB", RFC 4268,
>               November 2005.
>
>    [I-D.tychon-eman-applicability-statement]
>               Tychon, E., Silver, L., and M. Chandramouli, "Energy
>               Management (EMAN) Applicability Statement",
>               draft-tychon-eman-applicability-statement-02 (work in
>               progress), June 2011.
>
>    [ACPI.R30b]
>               Hewlett-Packard Corporation, Intel Corporation, Microsoft
>               Corporation, Phoenix Corporation, and Toshiba Corporation,
>               "Advanced Configuration and Power Interface Specification,
>               Revision 3.0b", October 2006.
>
>    [DMTF.DSP1027]
>               Dasari (ed.), R., Davis (ed.), J., and J. Hilland (ed.),
>               "Power State Management Profile", September 2008.
>
>    [IEEE-ISTO]
>               Printer Working Group, "PWG 5106.4 - PWG Power Management
>               Model for Imaging Systems 1.0:", February 2011.
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 29]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    [IEC.62053-21]
>               International Electrotechnical Commission, "Electricity
>               metering equipment (a.c.) - Particular requirements - Part
>               22: Static meters for active energy  (classes 1 and 2)",
>               2003.
>
>    [IEC.62053-22]
>               International Electrotechnical Commission, "Electricity
>               metering equipment (a.c.) - Particular requirements - Part
>               22: Static meters for active energy  (classes 0,2 S and
>               0,5 S)", 2003.
>
>    [IEC.61850-7-4]
>               International Electrotechnical Commission, "Communication
>               networks and systems for power utility automation - Part
>               7-4: Basic communication structure - Compatible logical
>               node classes and data object classes", 2010.
>
>
> Appendix A.  Existing Standards
>
>    This section analyzes existing standards for energy consumption and
>    power state monitoring.  It shows that there are already several
>    standards that cover only some part of the requirements listed above,
>    but even all together they do not cover all of the requirements for
>    energy management.
>
> A.1.  Existing IETF Standards
>
>    There are already RFCs available that address a subset of the
>    requirements.
>
> A.1.1.  ENTITY MIB
>
>    The ENTITY-MIB module defined in [RFC4133] was designed to model
>    physical and logical entities of a managed system.  A physical entity
>    is an identifiable physical component.  A logical entity can use one
>    or more physical entities.  From an energy monitoring perspective of
>    a managed system, the ENTITY-MIB modeling framework can be reused and
>    whenever RFC 4133 [RFC4133] has been implemented.  The
>    entPhysicalIndex from entPhysicalTable can be used to identify an
>    entity/component.  However, there are use cases of energy monitoring,
>    where the application of the ENTITY-MIB does not seem readily
>    apparent and some of those entities could be beyond the original
>    scope and intent of the ENTITY-MIB.
>
>    Consider the case of remote devices attached to the network, and the
>    network device could collect the energy measurement and report on
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 30]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    behalf of such attached devices.  Some of the remote devices such as
>    PoE phones attached to a switch port have been considered in the
>    Power-over-Ethernet MIB module [RFC3621].  However, there are many
>    other devices such as a computer, which draw power from a wall outlet
>    or building HVAC devices which seem to be beyond the original scope
>    of the ENTITY-MIB.
>
>    Yet another example, is smart-PDUs, which can report the energy
>    consumption of the device attached to the power outlet of the PDU.
>    In some cases, the device can be attached to multiple to power
>    outlets.  Thus, the energy measured at multiple outlets need to be
>    aggregated to determine the consumption of a single device.  From
>    mapping perspective, between the PDU outlets and the device this is a
>    many-to-one mapping.  It is not clear if such a many-to-one mapping
>    is feasible within the ENTITY-MIB framework.
>
> A.1.2.  ENTITY STATE MIB
>
>    RFC 4268 [RFC4268] defines the ENTITY STATE MIB module.
>    Implementations of this module provide information on entities
>    including the standby status (hotStandby, coldStandby,
>    providingService), the operational status (disabled, enabled,
>    testing), the alarm status (underRepair, critical, major, minor,
>    warning), and the usage status (idle, active, busy).  This
>    information is already useful as input for policy decisions and for
>    other network management tasks.  However, the number of states would
>    cover only a small subset of the requirements for power state
>    monitoring and it does not provide means for energy consumption
>    monitoring.  For associating the information conveyed by the ENTITY
>    STATE MIB to specific components of a device, the ENTITY STATE MIB
>    module makes use of the means provided by the ENTITY MIB module
>    [RFC4133].  Particularly, it uses the entPhysicalIndex for
>    identifying entities.
>
>    The standby status provided by the ENTITY STATE MIB module is related
>    to power states required for energy management, but the number of
>    states is too restricted for meeting all energy management
>    requirements.  For energy management several more power states are
>    required, such as different sleep and operational states as defined
>    by the Advanced Configuration and Power Interface (ACPI) [ACPI.R30b]
>    or the DMTF Power State Management Profile [DMTF.DSP1027].
>
> A.1.3.  ENTITY SENSOR MIB
>
>    RFC 3433 [RFC3433] defines the ENTITY SENSOR MIB module.
>    Implementations of this module offer a generic way to provide data
>    collected by a sensor.  A sensor could be an energy consumption meter
>    delivering measured values in Watt.  This could be used for reporting
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 31]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    current power of an entity and its components.  Furthermore, the
>    ENTITY SENSOR MIB can be used to retrieve the accuracy of the used
>    power meter.
>
>    Similar to the ENTITY STATE MIB module, the ENTITY SENSOR MIB module
>    makes use of the means provided by the ENTITY MIB module [RFC4133]
>    for relating provided information to components of a device.
>
>    However, there is no unit available for reporting energy quantities,
>    such as, for example, watt seconds or kilowatt hours, and the ENTITY
>    SENSOR MIB module does not support reporting accuracy of measurements
>    according to the IEC / ANSI accuracy classes, which are commonly in
>    use for electric power and energy measurements.  The ENTITY SENSOR
>    MIB modules only provides a coarse-grained method for indicating
>    accuracy by stating the number of correct digits of fixed point
>    values.
>
> A.1.4.  UPS MIB
>
>    RFC 1628 [RFC1628] defines the UPS MIB module.  Implementations of
>    this module provide information on the current real power of entities
>    attached to an uninterruptible power supply (UPS) device.  This
>    application would require identifying which entity is attached to
>    which port of the UPS device.
>
>    UPS MIB provides information on the state of the UPS network.  The
>    MIB module contains several variables that are used to identify the
>    UPS entity (name, model,..), the battery state, to characterize the
>    input load to the UPS, to characterize the output from the UPS, to
>    indicate the various alarm events.  The measurements of power in UPS
>    MIB are in Volts, Amperes and Watts.  The units of power measurement
>    are RMS volts, RMS Amperes and are not based on Entity-Sensor MIB
>    [RFC3433].
>
> A.1.5.  POWER ETHERNET MIB
>
>    Similar to the UPS MIB, implementations of the POWER ETHERNET MIB
>    module defined in RFC3621 [RFC3621] provide information on the
>    current energy consumption of the entities that receive Power over
>    Ethernet (PoE).  This information can be retrieved at the power
>    sourcing equipment.  Analogous to the UPS MIB, it is required to
>    identify which entities are attached to which port of the power
>    sourcing equipment.
>
>    The POWER ETHERNET MIB does not report power and energy consumption
>    on a per port basis, but can report aggregated values for groups of
>    ports.  It does not use objects of the ENTITY MIB module for
>    identifying entities, although this module existed already when the
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 32]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    POWER ETHERNET MIB modules was standardized.
>
> A.1.6.  LLDP MED MIB
>
>    The Link Layer Discovery Protocol (LLDP) defined in IEEE 802.1ab is a
>    data link layer protocol used by network devices for advertising of
>    their identities, capabilities, and interconnections on a LAN
>    network.  The Media Endpoint Discovery (MED) (ANSI/TIA-1057) is an
>    enhancement of LLDP known as LLDP-MED.  The LLDP-MED enhancements
>    specifically address voice applications.  LLDP-MED covers 6 basic
>    areas: capabilities discovery, LAN speed and duplex discovery,
>    network policy discovery, location identification discovery,
>    inventory discovery, and power discovery.
>
> A.2.  Existing standards of other bodies
>
> A.2.1.  DMTF
>
>    The DMTF has defined a power state management profile [DMTF.DSP1027]
>    that is targeted at computer systems.  It is based on the DMTF's
>    Common Information Model (CIM) and rather an entity profile than an
>    actual energy consumption monitoring standard.
>
>    The power state management profile is used to describe and to manage
>    the power state of computer systems.  This includes e.g. means to
>    change the power state of an entity (e.g. to shutdown the entity)
>    which is an aspect of but not sufficient for active energy
>    management.
>
> A.2.2.  OVDA
>
>    ODVA is an association consisting of members from industrial
>    automation companies.  ODVA supports standardization of network
>    technologies based on the Common Industrial Protocol (CIP).  Within
>    ODVA, there is a special interest group focused on energy and
>    standardization and inter-operability of energy aware entities.
>
> A.2.3.  IEEE-ISTO Printer WG
>
>    The charter of the IEEE-ISTO Printer Working Group is for open
>    standards that define printer related protocols, that printer
>    manufacturers and related software vendors shall benefit from the
>    interoperability provided by conformance to these standards.  One
>    particular aspect the Printer WG is focused on is power monitoring
>    and management of network printers and imaging systems PWG Power
>    Management Model for Imaging Systems [IEEE-ISTO].  Clearly, these
>    devices are within the scope of energy management since these devices
>    consume power and are attached to the network.  In addition, there is
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 33]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    ample scope of power management since printers and imaging systems
>    are not used that often.  IEEE-ISTO Printer working group has defined
>    MIB modules for monitoring the power consumption and power state
>    series that can be useful for power management of printers.  The
>    energy management framework should also take into account the
>    standards defined in the Printer working group.  In terms of other
>    standards, IETF Printer MIB RFC3805 [RFC3805] has been standardized,
>    however, this MIB module does not address power management of
>    printers.
>
>
> Authors' Addresses
>
>    Juergen Quittek (editor)
>    NEC Europe Ltd.
>    NEC Laboratories Europe
>    Network Research Division
>    Kurfuersten-Anlage 36
>    Heidelberg  69115
>    DE
>
>    Phone: +49 6221 4342-115
>    Email: [email-masked]
>
>
>    Rolf Winter
>    NEC Europe Ltd.
>    NEC Laboratories Europe
>    Network Research Division
>    Kurfuersten-Anlage 36
>    Heidelberg  69115
>    DE
>
>    Phone: +49 6221 4342-121
>    Email: [email-masked]
>
>
>    Thomas Dietz
>    NEC Europe Ltd.
>    NEC Laboratories Europe
>    Network Research Division
>    Kurfuersten-Anlage 36
>    Heidelberg  69115
>    DE
>
>    Phone: +49 6221 4342-128
>    Email: [email-masked]
>
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 34]
> 
> Internet-Draft     Requirements for Energy Management          July 2011
>
>
>    Benoit Claise
>    Cisco Systems, Inc.
>    De Kleetlaan 6a b1
>    Degem  1831
>    BE
>
>    Phone: +32 2 704 5622
>    Email: [email-masked]
>
>
>    Mouli Chandramouli
>    Cisco Systems, Inc.
>    Sarjapur Outer Ring Road
>    Bangalore,
>    IN
>
>    Phone: +91 80 4426 3947
>    Email: [email-masked]
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
> Quittek, et al.         Expires January 12, 2012               [Page 35]
>

---

From: "John Parello (jparello)" <[email-masked]>
Date: Wed, 27 Jul 2011 11:18:42 -0700

HI Benoit,

We have the notion of relationships setup in the framework. I sent a
note to Chris on perhaps using this scheme for modeling gangs.

Jp

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Benoit Claise (bclaise)
Sent: Monday, July 25, 2011 11:19 PM
To: eman mailing list
Subject: [eman] feedback on the eman-ietf-eman-requirements-04

Dear all,

A couple of big points

See inline

Internet-Draft                                                 R. Winter

                                                               B. Claise

                                                         M. Chandramouli

                                                     Cisco Systems, Inc.

                                                           July 11, 2011

Abstract 

Status of this Memo 

Copyright Notice 

Table of Contents 

1.  Introduction 

2.  Terminology 

2.1.  Energy 

2.2.  Power 

2.3.  Powered entity 

   control. 

2.4.  Power state 

2.5.  Power monitor 

2.6.  Power inlet 

2.7.  Power outlet 

2.8.  Energy management 

3.1.  Power states 

3.2.  Trade-offs 

Well, not only when it's not in use.
It could be based on the time of day, or any other energy saving
policies.

3.4.  Energy monitoring 

add a comma

   Detailed Requirements: 

   Detailed Requirements: 

5.2.  Power state 

   in a certain state. 

   Detailed Requirements: 

	   The energy management standard must provide means for
retrieving the 
	   list of all potential power states of a powered entitiy. 

	   The energy management standard must provide means for
supporting 
	   multiple power state sets simultaneously at a powered entity.

	   The energy management standard must provide means for
retrieving the 
	   list of all power state sets supported by a powered entitiy. 

5.2.2 has got the same title.
Proposal for 5.2.5 "List of supported power states within power state
set"

new text.

   by requirement 5.5.3. 

Remove the previous sentence, as this is already in the terminology
section.

   Detailed Requirements: 

5.3.5.  Use of power 

5.3.6.  Type of current 

5.3.7.  Nominal voltage 

number -> Number

5.4.  Power 

Power quality 

   Detailed Requirements: 

5.4.1.  Real power 

5.4.5.  Complex power 

5.5.  Energy 

   Detailed Requirements: 

5.5.1.  Energy 

5.5.2.  Time intervals 

5.6.  Battery State 

   Detailed Requirements: 

5.6.1.  Battery charge 

remove "a"

   Detailed Requirements: 

   Detailed Requirements: 

   management system. 

   Detailed Requirements: 

   Detailed Requirements: 

10.  IANA Considerations 

11.  Acknowledgements 

Regards, Benoit.

12.  Open issues 

   is missing. 

   requirement? 

   behind them? 

12.7.  IEC references 

   PD. 

   distinction. 

              RFC 3805, June 2004. 

              November 2005. 

   [ACPI.R30b] 

   [DMTF.DSP1027] 

   [IEEE-ISTO] 

   [IEC.62053-21] 

   [IEC.62053-22] 

   [IEC.61850-7-4] 

A.1.1.  ENTITY MIB 

A.1.2.  ENTITY STATE MIB 

A.1.3.  ENTITY SENSOR MIB 

A.1.4.  UPS MIB 

A.1.6.  LLDP MED MIB 

A.2.1.  DMTF 

A.2.2.  OVDA 

Authors' Addresses 

   Juergen Quittek (editor) 
   NEC Europe Ltd. 
   NEC Laboratories Europe 

   Phone: +49 6221 4342-115 
   Email: [email-masked] 

   Rolf Winter 
   NEC Europe Ltd. 
   NEC Laboratories Europe 

   Phone: +49 6221 4342-121 

   Thomas Dietz 
   NEC Europe Ltd. 
   NEC Laboratories Europe 

   Phone: +49 6221 4342-128 

   Benoit Claise 
   Cisco Systems, Inc. 
   De Kleetlaan 6a b1 
   Degem  1831 
   BE 

   Phone: +32 2 704 5622 
   Email: [email-masked] 

   Mouli Chandramouli 
   Cisco Systems, Inc. 
   Sarjapur Outer Ring Road 
   Bangalore, 
   IN 

   Phone: +91 80 4426 3947